local client = {{}}
client.PowerState = "ON"
client.FruCtrlObject = nil

function client:GetFruCtrlObjects()
    local objects = {}
    local object = self:GetFruCtrlObject()
    if object then
        object.PowerState = self:GetPowerState()
    end
    table.insert(objects, object)
    return objects
end

function client:GetPowerState()
    return self.PowerState
end

function client:SetPowerState(power_state)
    self.PowerState = power_state
end

function client:GetFruCtrlObject()
    return self.FruCtrlObject
end

function client:SetFruCtrlObject(obj)
    self.FruCtrlObject = obj
end

function client:RestoreDefault()
    self.PowerState = "ON"
    self.FruCtrlObject = nil
end

function client:GetEventsObjects()
end

function client:GetSensorsObjects()
end

function client:OnEventsPropertiesChanged()
end

function client:OnSensorsPropertiesChanged()
end

return client